/**
 * A brief explanation for "project.json":
 * Here is the content of project.json file, this is the global configuration for your game, you can modify it to customize some behavior.
 * The detail of each field is under it.
 {
    "project_type": "javascript",
    // "project_type" indicate the program language of your project, you can ignore this field

    "debugMode"     : 1,
    // "debugMode" possible values :
    //      0 - No message will be printed.
    //      1 - cc.error, cc.assert, cc.warn, cc.log will print in console.
    //      2 - cc.error, cc.assert, cc.warn will print in console.
    //      3 - cc.error, cc.assert will print in console.
    //      4 - cc.error, cc.assert, cc.warn, cc.log will print on canvas, available only on web.
    //      5 - cc.error, cc.assert, cc.warn will print on canvas, available only on web.
    //      6 - cc.error, cc.assert will print on canvas, available only on web.

    "showFPS"       : true,
    // Left bottom corner fps information will show when "showFPS" equals true, otherwise it will be hide.

    "frameRate"     : 60,
    // "frameRate" set the wanted frame rate for your game, but the real fps depends on your game implementation and the running environment.

    "id"            : "gameCanvas",
    // "gameCanvas" sets the id of your canvas element on the web page, it's useful only on web.

    "renderMode"    : 0,
    // "renderMode" sets the renderer type, only useful on web :
    //      0 - Automatically chosen by engine
    //      1 - Forced to use canvas renderer
    //      2 - Forced to use WebGL renderer, but this will be ignored on mobile browsers

    "engineDir"     : "frameworks/cocos2d-html5/",
    // In debug mode, if you use the whole engine to develop your game, you should specify its relative path with "engineDir",
    // but if you are using a single engine file, you can ignore it.

    "modules"       : ["cocos2d"],
    // "modules" defines which modules you will need in your game, it's useful only on web,
    // using this can greatly reduce your game's resource size, and the cocos console tool can package your game with only the modules you set.
    // For details about modules definitions, you can refer to "../../frameworks/cocos2d-html5/modulesConfig.json".

    "jsList"        : [
    ]
    // "jsList" sets the list of js files in your game.
 }
 *
 */
/*
cc.game.onStart = function(){
    cc.view.adjustViewPort(true);
    cc.view.setDesignResolutionSize(800, 450, cc.ResolutionPolicy.SHOW_ALL);
    cc.view.resizeWithBrowserSize(true);
    //load resources
    cc.LoaderScene.preload(g_resources, function () {
        cc.director.runScene(new DotScene());
    }, this);
};
cc.game.run();

*/



cc.game.onStart = function(){
    //cc.log("onStart")
    if(!cc.sys.isNative && document.getElementById("cocosLoading")) //If referenced loading.js, please remove it
        document.body.removeChild(document.getElementById("cocosLoading"));

    var winSize = cc.director.getWinSizeInPixels()
    var scale = cc.director.getContentScaleFactor()

    //cc.log("scale:" + scale)

    //cc.log("containerW:" + String( winSize.width ))
    //cc.log("containerH:" + String( winSize.height ))
    //cc.log("scale:" + String(scale))


    cc.view.enableRetina(cc.sys.os === cc.sys.OS_IOS ? true : false);
    
    cc.view.adjustViewPort(true);
    cc.director.setProjection(cc.Director.PROJECTION_2D);
    cc.director.setDepthTest(false);

    if (winSize.width / winSize.height < 0.462) {
        // iPhone X
        //cc.log("4.0 inch")
        cc.view.setDesignResolutionSize(320*2, 692*2, cc.ResolutionPolicy.SHOW_ALL);
        nkmui.screenKind = nkmui.screeniPhoneX;
    } else if (winSize.width / winSize.height < 0.64) {
        // iPhone retina 4.0
        //cc.log("4.0 inch")
        cc.view.setDesignResolutionSize(320*2, 568*2, cc.ResolutionPolicy.SHOW_ALL);
        nkmui.screenKind =  nkmui.screen4inch;
    } else {
        // iPhone retina 3.5
        //cc.log("3.5 inch")
        //cc.view.setDesignResolutionSize(320*2, 480*2, cc.ResolutionPolicy.SHOW_ALL);
        var tmpWidth = winSize.width / winSize.height * 480 * 2;
        var actualWidth = tmpWidth < 320 * 2 ? 320 * 2 : tmpWidth;
        
        cc.view.setDesignResolutionSize(actualWidth, 480*2, cc.ResolutionPolicy.SHOW_ALL);
        nkmui.screenKind =  nkmui.screen3_5inch;
    }

    cc.view.resizeWithBrowserSize(true);

    if (cc.sys.isNative) {
        var searchPaths = jsb.fileUtils.getSearchPaths();
        searchPaths.push("res");

        jsb.fileUtils.setSearchPaths(searchPaths);
    }

    dm = new DotData();

    store.init();
    dms.initAllValue();
    //dotDraw.initGridMode();


    commandHistoryStore.initAllHistory();
    lcs.initValue();

    shPurchase.init();
    appSettings.init();
    interstitialAd.load();

    bannerAd.display();



    var scene = new DotScene();


    // test mode
    //var scene = new TestMakeTextureScene()

    //var scene = new TestMemoryLeakScene()
    //var scene = new TestMakeTextureScene3();
    //var scene = new TestOthersScene();
    cc.LoaderScene.preload(g_resources, function () {
                           cc.director.runScene(scene);
                           }, this);
};
cc.game.run();
